Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network169.254.128.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
169.254.128.0
Broadcast address
169.254.255.255
First usable
169.254.128.1
Last usable
169.254.255.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Link-local (APIPA) 169.254.0.0/16
Self-assigned when no DHCP server answers
Old class
B (default /16)
As numbers
Hex A9FE8000 · Integer 2852028416 to 2852061183
Reverse DNS zones
128.254.169.in-addr.arpa
129.254.169.in-addr.arpa
130.254.169.in-addr.arpa
131.254.169.in-addr.arpa
132.254.169.in-addr.arpa
133.254.169.in-addr.arpa
134.254.169.in-addr.arpa
135.254.169.in-addr.arpa
136.254.169.in-addr.arpa
137.254.169.in-addr.arpa
138.254.169.in-addr.arpa
139.254.169.in-addr.arpa
140.254.169.in-addr.arpa
141.254.169.in-addr.arpa
142.254.169.in-addr.arpa
143.254.169.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101001.11111110.10000000.00000000169.254.128.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10101001.11111110.10000000.00000000169.254.128.0
Broadcast10101001.11111110.11111111.11111111169.254.255.255
Split into smaller subnets/24

169.254.128.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1169.254.128.0/24169.254.128.1 to 169.254.128.254169.254.128.255254
2169.254.129.0/24169.254.129.1 to 169.254.129.254169.254.129.255254
3169.254.130.0/24169.254.130.1 to 169.254.130.254169.254.130.255254
4169.254.131.0/24169.254.131.1 to 169.254.131.254169.254.131.255254
5169.254.132.0/24169.254.132.1 to 169.254.132.254169.254.132.255254
6169.254.133.0/24169.254.133.1 to 169.254.133.254169.254.133.255254
7169.254.134.0/24169.254.134.1 to 169.254.134.254169.254.134.255254
8169.254.135.0/24169.254.135.1 to 169.254.135.254169.254.135.255254
9169.254.136.0/24169.254.136.1 to 169.254.136.254169.254.136.255254
10169.254.137.0/24169.254.137.1 to 169.254.137.254169.254.137.255254
11169.254.138.0/24169.254.138.1 to 169.254.138.254169.254.138.255254
12169.254.139.0/24169.254.139.1 to 169.254.139.254169.254.139.255254
13169.254.140.0/24169.254.140.1 to 169.254.140.254169.254.140.255254
14169.254.141.0/24169.254.141.1 to 169.254.141.254169.254.141.255254
15169.254.142.0/24169.254.142.1 to 169.254.142.254169.254.142.255254
16169.254.143.0/24169.254.143.1 to 169.254.143.254169.254.143.255254
17169.254.144.0/24169.254.144.1 to 169.254.144.254169.254.144.255254
18169.254.145.0/24169.254.145.1 to 169.254.145.254169.254.145.255254
19169.254.146.0/24169.254.146.1 to 169.254.146.254169.254.146.255254
20169.254.147.0/24169.254.147.1 to 169.254.147.254169.254.147.255254
21169.254.148.0/24169.254.148.1 to 169.254.148.254169.254.148.255254
22169.254.149.0/24169.254.149.1 to 169.254.149.254169.254.149.255254
23169.254.150.0/24169.254.150.1 to 169.254.150.254169.254.150.255254
24169.254.151.0/24169.254.151.1 to 169.254.151.254169.254.151.255254
25169.254.152.0/24169.254.152.1 to 169.254.152.254169.254.152.255254
26169.254.153.0/24169.254.153.1 to 169.254.153.254169.254.153.255254
27169.254.154.0/24169.254.154.1 to 169.254.154.254169.254.154.255254
28169.254.155.0/24169.254.155.1 to 169.254.155.254169.254.155.255254
29169.254.156.0/24169.254.156.1 to 169.254.156.254169.254.156.255254
30169.254.157.0/24169.254.157.1 to 169.254.157.254169.254.157.255254
31169.254.158.0/24169.254.158.1 to 169.254.158.254169.254.158.255254
32169.254.159.0/24169.254.159.1 to 169.254.159.254169.254.159.255254
33169.254.160.0/24169.254.160.1 to 169.254.160.254169.254.160.255254
34169.254.161.0/24169.254.161.1 to 169.254.161.254169.254.161.255254
35169.254.162.0/24169.254.162.1 to 169.254.162.254169.254.162.255254
36169.254.163.0/24169.254.163.1 to 169.254.163.254169.254.163.255254
37169.254.164.0/24169.254.164.1 to 169.254.164.254169.254.164.255254
38169.254.165.0/24169.254.165.1 to 169.254.165.254169.254.165.255254
39169.254.166.0/24169.254.166.1 to 169.254.166.254169.254.166.255254
40169.254.167.0/24169.254.167.1 to 169.254.167.254169.254.167.255254
41169.254.168.0/24169.254.168.1 to 169.254.168.254169.254.168.255254
42169.254.169.0/24169.254.169.1 to 169.254.169.254169.254.169.255254
43169.254.170.0/24169.254.170.1 to 169.254.170.254169.254.170.255254
44169.254.171.0/24169.254.171.1 to 169.254.171.254169.254.171.255254
45169.254.172.0/24169.254.172.1 to 169.254.172.254169.254.172.255254
46169.254.173.0/24169.254.173.1 to 169.254.173.254169.254.173.255254
47169.254.174.0/24169.254.174.1 to 169.254.174.254169.254.174.255254
48169.254.175.0/24169.254.175.1 to 169.254.175.254169.254.175.255254
49169.254.176.0/24169.254.176.1 to 169.254.176.254169.254.176.255254
50169.254.177.0/24169.254.177.1 to 169.254.177.254169.254.177.255254
51169.254.178.0/24169.254.178.1 to 169.254.178.254169.254.178.255254
52169.254.179.0/24169.254.179.1 to 169.254.179.254169.254.179.255254
53169.254.180.0/24169.254.180.1 to 169.254.180.254169.254.180.255254
54169.254.181.0/24169.254.181.1 to 169.254.181.254169.254.181.255254
55169.254.182.0/24169.254.182.1 to 169.254.182.254169.254.182.255254
56169.254.183.0/24169.254.183.1 to 169.254.183.254169.254.183.255254
57169.254.184.0/24169.254.184.1 to 169.254.184.254169.254.184.255254
58169.254.185.0/24169.254.185.1 to 169.254.185.254169.254.185.255254
59169.254.186.0/24169.254.186.1 to 169.254.186.254169.254.186.255254
60169.254.187.0/24169.254.187.1 to 169.254.187.254169.254.187.255254
61169.254.188.0/24169.254.188.1 to 169.254.188.254169.254.188.255254
62169.254.189.0/24169.254.189.1 to 169.254.189.254169.254.189.255254
63169.254.190.0/24169.254.190.1 to 169.254.190.254169.254.190.255254
64169.254.191.0/24169.254.191.1 to 169.254.191.254169.254.191.255254
65169.254.192.0/24169.254.192.1 to 169.254.192.254169.254.192.255254
66169.254.193.0/24169.254.193.1 to 169.254.193.254169.254.193.255254
67169.254.194.0/24169.254.194.1 to 169.254.194.254169.254.194.255254
68169.254.195.0/24169.254.195.1 to 169.254.195.254169.254.195.255254
69169.254.196.0/24169.254.196.1 to 169.254.196.254169.254.196.255254
70169.254.197.0/24169.254.197.1 to 169.254.197.254169.254.197.255254
71169.254.198.0/24169.254.198.1 to 169.254.198.254169.254.198.255254
72169.254.199.0/24169.254.199.1 to 169.254.199.254169.254.199.255254
73169.254.200.0/24169.254.200.1 to 169.254.200.254169.254.200.255254
74169.254.201.0/24169.254.201.1 to 169.254.201.254169.254.201.255254
75169.254.202.0/24169.254.202.1 to 169.254.202.254169.254.202.255254
76169.254.203.0/24169.254.203.1 to 169.254.203.254169.254.203.255254
77169.254.204.0/24169.254.204.1 to 169.254.204.254169.254.204.255254
78169.254.205.0/24169.254.205.1 to 169.254.205.254169.254.205.255254
79169.254.206.0/24169.254.206.1 to 169.254.206.254169.254.206.255254
80169.254.207.0/24169.254.207.1 to 169.254.207.254169.254.207.255254
81169.254.208.0/24169.254.208.1 to 169.254.208.254169.254.208.255254
82169.254.209.0/24169.254.209.1 to 169.254.209.254169.254.209.255254
83169.254.210.0/24169.254.210.1 to 169.254.210.254169.254.210.255254
84169.254.211.0/24169.254.211.1 to 169.254.211.254169.254.211.255254
85169.254.212.0/24169.254.212.1 to 169.254.212.254169.254.212.255254
86169.254.213.0/24169.254.213.1 to 169.254.213.254169.254.213.255254
87169.254.214.0/24169.254.214.1 to 169.254.214.254169.254.214.255254
88169.254.215.0/24169.254.215.1 to 169.254.215.254169.254.215.255254
89169.254.216.0/24169.254.216.1 to 169.254.216.254169.254.216.255254
90169.254.217.0/24169.254.217.1 to 169.254.217.254169.254.217.255254
91169.254.218.0/24169.254.218.1 to 169.254.218.254169.254.218.255254
92169.254.219.0/24169.254.219.1 to 169.254.219.254169.254.219.255254
93169.254.220.0/24169.254.220.1 to 169.254.220.254169.254.220.255254
94169.254.221.0/24169.254.221.1 to 169.254.221.254169.254.221.255254
95169.254.222.0/24169.254.222.1 to 169.254.222.254169.254.222.255254
96169.254.223.0/24169.254.223.1 to 169.254.223.254169.254.223.255254
97169.254.224.0/24169.254.224.1 to 169.254.224.254169.254.224.255254
98169.254.225.0/24169.254.225.1 to 169.254.225.254169.254.225.255254
99169.254.226.0/24169.254.226.1 to 169.254.226.254169.254.226.255254
100169.254.227.0/24169.254.227.1 to 169.254.227.254169.254.227.255254
101169.254.228.0/24169.254.228.1 to 169.254.228.254169.254.228.255254
102169.254.229.0/24169.254.229.1 to 169.254.229.254169.254.229.255254
103169.254.230.0/24169.254.230.1 to 169.254.230.254169.254.230.255254
104169.254.231.0/24169.254.231.1 to 169.254.231.254169.254.231.255254
105169.254.232.0/24169.254.232.1 to 169.254.232.254169.254.232.255254
106169.254.233.0/24169.254.233.1 to 169.254.233.254169.254.233.255254
107169.254.234.0/24169.254.234.1 to 169.254.234.254169.254.234.255254
108169.254.235.0/24169.254.235.1 to 169.254.235.254169.254.235.255254
109169.254.236.0/24169.254.236.1 to 169.254.236.254169.254.236.255254
110169.254.237.0/24169.254.237.1 to 169.254.237.254169.254.237.255254
111169.254.238.0/24169.254.238.1 to 169.254.238.254169.254.238.255254
112169.254.239.0/24169.254.239.1 to 169.254.239.254169.254.239.255254
113169.254.240.0/24169.254.240.1 to 169.254.240.254169.254.240.255254
114169.254.241.0/24169.254.241.1 to 169.254.241.254169.254.241.255254
115169.254.242.0/24169.254.242.1 to 169.254.242.254169.254.242.255254
116169.254.243.0/24169.254.243.1 to 169.254.243.254169.254.243.255254
117169.254.244.0/24169.254.244.1 to 169.254.244.254169.254.244.255254
118169.254.245.0/24169.254.245.1 to 169.254.245.254169.254.245.255254
119169.254.246.0/24169.254.246.1 to 169.254.246.254169.254.246.255254
120169.254.247.0/24169.254.247.1 to 169.254.247.254169.254.247.255254
121169.254.248.0/24169.254.248.1 to 169.254.248.254169.254.248.255254
122169.254.249.0/24169.254.249.1 to 169.254.249.254169.254.249.255254
123169.254.250.0/24169.254.250.1 to 169.254.250.254169.254.250.255254
124169.254.251.0/24169.254.251.1 to 169.254.251.254169.254.251.255254
125169.254.252.0/24169.254.252.1 to 169.254.252.254169.254.252.255254
126169.254.253.0/24169.254.253.1 to 169.254.253.254169.254.253.255254
127169.254.254.0/24169.254.254.1 to 169.254.254.254169.254.254.255254
128169.254.255.0/24169.254.255.1 to 169.254.255.254169.254.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses